Name:	mate-corba
Summary:	CORBA Object Request Broker for MATE Desktop
Version:	1.4.0
Release:	9%{?dist}
Group:		System Environment/Libraries
License:	LGPLv2+ and GPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

Provides: MateCORBA-2.0

BuildRequires:	mate-common glib2-devel libIDL-devel pkgconfig libtool autoconf automake gtk-doc

%description
MateCORBA is a fork of GNOME's Orbit

%package devel
Summary: Development libraries, header files and utilities for mate-corba
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: indent
Requires: libIDL-devel
Requires: glib2-devel
# we install a pc file
Requires: pkgconfig
# we install an automake macro
Requires: automake

%description devel
This package contains the header files for MATE CORBA, libraries and utilities
necessary to write programs that use CORBA technology.

%prep
%setup -q -n %{name}-%{version}
NOCONFIGURE=1 ./autogen.sh

%build
%configure --enable-gtk-doc-html --enable-purify --disable-static
make %{?_smp_mflags}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%install
make install DESTDIR=%{buildroot}

rm -rf $RPM_BUILD_ROOT/%{_libdir}/libMateCORBA-2.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/libMateCORBA-imodule-2.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/libMateCORBACosNaming-2.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/matecorba-2.0/Everything_module.la


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_bindir}/matecorba-idl-2
%{_bindir}/matecorba-ior-decode-2
%{_bindir}/matecorba-linc-cleanup-sockets
%{_bindir}/matecorba-typelib-dump
%{_datadir}/aclocal/MateCORBA2.m4
%{_datadir}/gtk-doc/html/MateCORBA2
%{_libdir}/libMateCORBA-2.so.0
%{_libdir}/libMateCORBA-2.so.0.1.0
%{_libdir}/libMateCORBA-imodule-2.so.0
%{_libdir}/libMateCORBA-imodule-2.so.0.0.0
%{_libdir}/libMateCORBACosNaming-2.so.0
%{_libdir}/libMateCORBACosNaming-2.so.0.1.0
%{_libdir}/matecorba-2.0/Everything_module.so



%files devel
%{_bindir}/matecorba2-config
%{_libdir}/libMateCORBA-2.so
%{_libdir}/libMateCORBACosNaming-2.so
%{_libdir}/libMateCORBA-imodule-2.so
%{_includedir}/matecorba-2.0/matecorba-idl/
%{_includedir}/matecorba-2.0/MateCORBAservices/
%{_includedir}/matecorba-2.0/matecorba/*
%{_libdir}/libname-matecorba-server-2.a
%{_libdir}/pkgconfig/*
%{_bindir}/matecorba-idl-2
%{_bindir}/matecorba-typelib-dump
%{_bindir}/matecorba-ior-decode-2
%{_datadir}/aclocal/*
%{_datadir}/idl/matecorba-2.0
%{_bindir}/matecorba-linc-cleanup-sockets
%{_datadir}/gtk-doc

%changelog
* Tue Jul 24 2012 Dan Mashal <dan.mashal@fedoraproject.org. 1.4.0-8
- Clean up spec file per Rex's suggestions.

* Tue Jul 24 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-7
- Clean up spec file further.

* Sun Jul 22 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-6
- Cleanup spec file.

* Sat Jul 21 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-5
- Fix requirements, clean up spec file

* Tue Jul 17 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-4
- Update requirements, licensing and description

* Sat Jul 14 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Incorporate Rex's changes, clean up spec file, update licensing.

* Fri Jul 13 2012 Rex Dieter <rdieter@fedoraproject.org> 1.4.0-2
- omit Group: tag
- fix URL, Source0
- use %%configure macro
- BuildArch: noarch

* Thu Jul 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
